import getters from './getters'
import mutations from './mutations'
import { MEMBER_AUTHORITY } from '@/store/utils/localStorageKeys'

const state = {
  memberAuthority: JSON.parse(localStorage.getItem(MEMBER_AUTHORITY)) || {},
  memberAuthorityInitialized: false,
  permissionRefreshTime: new Date().valueOf(),
}

export default {
  state,
  mutations,
  getters,
}
